#ifndef baseShield_h
#define baseShield_h

#if ARDUINO < 100
	#include <WProgram.h>
#else
	#include <Arduino.h>
#endif

#include "softShield.h"
class baseShield : private softShield
{
	public:
		baseShield(void);
		virtual void update(void)
		{
			Serial.println("update from base shield");
			delay(1000);
		}
		virtual void setup(void){
			Serial.println("setup from base shield");
		}

};

#endif